aboutsummaryrefslogtreecommitdiffstats
path: root/test/io-001.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/io-001.sh')
-rwxr-xr-xtest/io-001.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/test/io-001.sh b/test/io-001.sh
new file mode 100755
index 0000000..77757f6
--- /dev/null
+++ b/test/io-001.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+. "${TEST_INIT:-./test-init.sh}"
+data=$(mktemp -d)
+
+"$CALCURSE" -a -D "$data"
+[ -f "$data/apts" ] && [ -f "$data/conf" ] && failed=0 || failed=1
+
+rm -rf "$data"
+exit "$failed"